Class KeyBackupVersion
Key backup version from GET /room_keys/version.
Implements
Inherited Members
Namespace: Uniform.Matrix.Protocol.Core
Assembly: Uniform.Matrix.Protocol.Core.dll
Syntax
public sealed record KeyBackupVersion : IEquatable<KeyBackupVersion>
Properties
| Edit this page View SourceAlgorithm
Algorithm, see KeyBackupAlgorithms.
Declaration
public string? Algorithm { get; init; }
Property Value
| Type | Description |
|---|---|
| string |
AuthData
Algorithm data, e.g. the public key and its signatures.
Declaration
public JsonObject? AuthData { get; init; }
Property Value
| Type | Description |
|---|---|
| JsonObject |
Count
Number of stored keys.
Declaration
public int? Count { get; init; }
Property Value
| Type | Description |
|---|---|
| int? |
Etag
Changes when keys are added.
Declaration
public string? Etag { get; init; }
Property Value
| Type | Description |
|---|---|
| string |
Version
Version ID.
Declaration
public string? Version { get; init; }
Property Value
| Type | Description |
|---|---|
| string |